Certify System Requirements

Follow

Certify is a web-based SaaS application that can be accessed from a web browser or our proprietary mobile application. This article outlines the web browsers and mobile devices required to use the Certify application.

Certify Web Application

The following section outlines the web browsers which are either fully or partially supported for use of the Certify web application.

Full Support

The Certify web application is tested and optimized for use on the latest version of the following web browsers

  • Google Chrome
  • Mozilla Firefox
  • Microsoft Edge
  • Apple Safari

Unsupported (Effective 8/17/2021)

The Certify web application is not supported on the following web browsers

  • Internet Explorer 11

Certify will not fix any software defects on unsupported browsers, regardless of criticality.

Certify Mobile Application

The Certify mobile application is available for download in the following app stores:

  • Apple App Store
  • Google Play Store
  • Baidu App Store

The Certify Mobile application can be operated on the following mobile devices:

  • Any device operating Android 7.0 or higher
  • Any device operating iOS 12.4.2 or higher

 

Was this article helpful?
1 out of 1 found this helpful
Have more questions? Submit a request